## knocker 0.7.1

=== debian/changelog ===
knocker (0.7.1-6) unstable; urgency=medium

  * Team upload.
  [ Raphaël Hertzog ]
  * d/control:
    - Update Vcs-Git and Vcs-Browser for the move to salsa.debian.org
    - Update team maintainer address to Debian Security Tools

  [ SZ Lin (林上智) ]
  * Add upstream metadata file
  * d/control:
    - Bump debhelper version to 11
    - Bump Standards-Version to 4.2.1
    - Trim trailing line
  * d/compat:
    - Bump compat version to 11
  * d/copyright:
    - Fix insecure copyright format URI
  * d/rules:
    - Add override_dh_missing target (--fail-missing)
  * d/patches
    - Fix typo in manpage
    - Update patch from gbp pq

 -- SZ Lin (林上智) <szlin@debian.org>  Fri, 14 Sep 2018 17:09:04 +0800

knocker (0.7.1-5) unstable; urgency=medium

  * Migrate from CDBS to dh 10.
  * Add hardening flags.
  * Assign maintenance to pkg-security team (Closes: #858662).
  * Migrate to 3.0 quilt source format.
  * Add 02_Fix-spelling-errors.patch.
  * Bump to Standards-Version: 3.9.8.
  * Update copyright holders.

 -- Marcos Fouces <marcos.fouces@gmail.com>  Wed, 29 Mar 2017 23:15:53 +0200

knocker (0.7.1-4) unstable; urgency=low

  * New maintainer (Closes: #654324).
  * Update copyright file.
  * Add Vcs-{Browser,Git} pointing to collab-maint/knocker.git
  * Apply patch by Mats Erik Andersson <mats.andersson@gisladisker.se> to
    implement support for IPv6 probing (Closes: #616311).
  * Fixed lintian warnings:
    - W: knocker source: debhelper-but-no-misc-depends knocker
    - W: knocker source: package-uses-deprecated-debhelper-compat-version 4
    - W: knocker source: changelog-should-mention-nmu
    - W: knocker source: ancient-standards-version 3.8.0 (current is 3.9.3)
    - W: knocker: description-synopsis-starts-with-article

 -- Khalid El Fathi <khalid@elfathi.fr>  Thu, 23 Feb 2012 18:55:00 +0100

knocker (0.7.1-3.1) unstable; urgency=low

  * NMU, to make package fit for Lenny.
  * Apply patch by UlisesVitulli <uvitulli@fi.uba.ar> to fix segfault,
    closes: #194869, #333214
  * Fix watch file, patch by Raphael Geissert <atomo64@gmail.com>,
    closes: #450036
  * Upgraded to standards version 3.8.0, only change needed was to move
    homepage information to its own control field.

 -- Michael Meskes <meskes@debian.org>  Sun, 05 Oct 2008 12:19:47 +0200

knocker (0.7.1-3) unstable; urgency=low

  * Upgraded Standard-Version
  * Fixes typo in manpage (Closes: #323531)
  * Added debian/watch file
  * Switched to CDBS
  * Moved knocker out of /bin to /usr/bin (Closes: #323995)
  * Changed the options parsing order: now parses the config-file and
    then the line arguments, so it can get the override config-file with
    the line options. (Closes: #264548)

 -- Pablo Lorenzzoni <spectra@debian.org>  Fri,  2 Sep 2005 01:54:10 -0300

knocker (0.7.1-2) unstable; urgency=low

  * Upgraded Standard-Version
  * Add URL to the description

 -- Pablo Lorenzzoni <spectra@debian.org>  Mon, 23 Feb 2004 13:38:39 -0300

knocker (0.7.1-1) unstable; urgency=low

  * New upstream release
  * Option --configure added. It creates a knocker.conf under ~/.knocker.
  * Option --no-fency added. It shows the output in a "polite" way.
  * Unit knocker_led added to blink the keyboard leds while scanning
  * Option --quiet-mode is now known as just --quiet.

 -- Pablo Lorenzzoni <spectra@debian.org>  Fri, 14 Jun 2002 12:06:21 -0300

knocker (0.6.0-1) unstable; urgency=low

  * New upstream release
  * Console output changed and big portions of code were rewritten.
  * All the fprintf(...) stuffs now under knocker_output for sake of cleaner
    code.
  * Code to output debug messages added.
  * TCP connect port scan code should be faster.
  * knocker_core totally redesigned (and rewritten) to be more flexible
    and versatile. Plans are to make it available as a library/DLL.
  * Added header file definitions to prevent multiple file inclusion.
  * Option --port or -P added to perform a portscan on a single port.
  * Threads code removed. It will be redesigned i the future.
  * Fixed total scanned ports result counting bug (Closes: #107680).
  * Fixed segfault when logfile couldn't be opened.
  * Compiling with -Wall -ansi -pedantic now.
  * Module terminal.c renamed to knocker_term.c

 -- Pablo Lorenzzoni <spectra@debian.org>  Wed, 20 Feb 2002 17:18:10 -0300

knocker (0.5.0-2) unstable; urgency=low

  * Fixes buildd installation permission problems (Closes: #132414).

 -- Pablo Lorenzzoni <spectra@debian.org>  Tue,  5 Feb 2002 15:55:45 -0200

knocker (0.5.0-1) unstable; urgency=low

  * New upstream release.
  * Added the following options: --quiet-mode (write to knocker_scan.log
    instead of writing to stdout); --enable-logfile (same as before, but
    stdout is enabled); --no-threads (for the ones that are facing
    problems with threads).
  * Added modules knocker_log.c, knocker_log.h to support the new
    file logging functions.

 -- Pablo Lorenzzoni <spectra@debian.org>  Sun,  3 Jan 2002 22:00:14 +0000

knocker (0.4.0-1) unstable; urgency=low

  * New upstream release.
  * Added colored output (and a --no-colors option).

 -- Pablo Lorenzzoni <spectra@debian.org>  Mon, 30 Jul 2001 23:03:23 +0000

knocker (0.3.0-1) unstable; urgency=low

  * New upstream release. Now knocker use pthreads.

 -- Pablo Lorenzzoni <spectra@debian.org>  Mon, 23 Jul 2001 09:23:43 +0000

knocker (0.2.0-1) unstable; urgency=low

  * New upstream release. The upstream author has added a function to
    resolve hosts IP addresses.

 -- Pablo Lorenzzoni <spectra@debian.org>  Mon, 16 Jul 2001 00:26:13 +0000

knocker (0.1.0-1) unstable; urgency=low

  * Initial Release. (Closes: #104380)
  * Adjusted directories (from /usr/local/bin to /usr/bin).

 -- Pablo Lorenzzoni <spectra@debian.org>  Wed, 11 Jul 2001 13:45:49 -0300

Local variables:
mode: debian-changelog
End:
