=== debian/control ===
Source: knocker
Section: net
Priority: optional
Maintainer: Debian Security Tools <team+pkg-security@tracker.debian.org>
Uploaders: Marcos Fouces <marcos.fouces@gmail.com>
Build-Depends: debhelper (>= 11)
Standards-Version: 4.2.1
Homepage: http://knocker.sourceforge.net/
Vcs-Git: https://salsa.debian.org/pkg-security-team/knocker.git
Vcs-Browser: https://salsa.debian.org/pkg-security-team/knocker

Package: knocker
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Simple and easy to use TCP security port scanner
 Knocker is a new, simple, and easy to use TCP security port
 scanner written in C, using threads. It is able to analyze hosts
 and the network services which are running on them.
