=== debian/watch ===
version=3
http://sf.net/knocker/knocker-(.*).tar.gz
